﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.AI;

public class NavEnemy : MonoBehaviour 
{
	public float shootWait = 1;
	float timer;

    public GameObject shootObj;
    public GameObject bulletPrefab;

	public Transform player;
	NavMeshAgent nav;

	void Start () 
	{
		nav = GetComponent<NavMeshAgent>();
		player = GameObject.FindGameObjectWithTag("Player").transform;
	}
	
	void Update () 
	{
		nav.SetDestination(player.position);

		transform.LookAt(player.position);

		timer -= Time.deltaTime;

		float dist = Vector3.Distance(transform.position, player.position);
		if(dist <= nav.stoppingDistance)
		{
			if(timer <= 0)
			{
				Shoot();
				timer = shootWait;
			}
		}
	}

	void Shoot()
	{
		GameObject bullet = Instantiate(bulletPrefab, shootObj.transform.position, Quaternion.identity);
        bullet.GetComponent<Rigidbody>().AddForce(transform.forward * 360);
        Destroy(bullet, 5);
	}
}
