﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FollowEnemy : MonoBehaviour 
{
	public float speed = 3.5f;
	public float stopDist = 2f;
	public Transform player;

	public float shootWait = 1;
	float timer;

    public GameObject shootObj;
    public GameObject bulletPrefab;

	void Start () 
	{
		player = GameObject.FindGameObjectWithTag("Player").transform;
		timer = 5;
	}
	
	void Update () 
	{
		Vector3 newPos = Vector3.MoveTowards(transform.position, player.position, speed * Time.deltaTime);

		transform.LookAt(player.position);

		timer -= Time.deltaTime;

		float dist = Vector3.Distance(transform.position, player.position);
		if(dist <= stopDist)
		{
			if(timer <= 0)
			{
				Shoot();
				timer = shootWait;
			}
			
			newPos = transform.position;
		}

		transform.position = newPos;
	}

	void Shoot()
	{
		GameObject bullet = Instantiate(bulletPrefab, shootObj.transform.position, Quaternion.identity);
        bullet.GetComponent<Rigidbody>().AddForce(transform.forward * 1000);
        Destroy(bullet, 5);
	}
}
