﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Health : MonoBehaviour 
{
	public int curHealth = 100;
	public int maxHealth = 100;

	public Slider healthbar;
	public AudioClip hitClip;

	public int chanceOfDrop = 10;
	public GameObject[] dropPrefabs;
	
	AudioSource audioSrc;
    ScoreScript scoreScript;

	void Start ()
    {
		audioSrc = GetComponent<AudioSource>();
		scoreScript = GameObject.Find("Canvas").GetComponent<ScoreScript>();
		
		if(healthbar != null)
		{
			healthbar.maxValue = maxHealth;
			healthbar.value = curHealth;
		}
	}
	
	public void AdjustHealth (int adj)
	{
		if(tag == "Player" && adj < 0)
		{
			audioSrc.PlayOneShot(hitClip, 0.9f);
		}

		curHealth += adj;
		
		if(healthbar != null)
		{
			healthbar.value = curHealth;
		}

		if(curHealth > maxHealth)
		{
			curHealth = maxHealth;
		}
		else if (curHealth <= 0)
		{
			if (tag == "Enemy")
            {
				bool shouldDrop = Random.Range(0, 100) <= chanceOfDrop;
				if(shouldDrop)
				{
					Instantiate( 
						dropPrefabs[ Random.Range(0, dropPrefabs.Length) ],
						transform.position, Quaternion.identity );
				}

                scoreScript.timer += 5;
                scoreScript.AdjustScore(1);
                
                Destroy(gameObject);
            }
            else if(tag == "Player")
            {
                scoreScript.GameOver();
            }
		}
	}
}
