﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spawner : MonoBehaviour
{
    // Holds the prefab
    public GameObject prefabToSpawn;
    // An array of spawnpoint objects
    public GameObject[] spawnPoints;

    public string spawnpointTag;
    public float spawnInterval = 2;
    float timer = 0;

    void Start ()
    {
        // Find all spawnpoints by tag
        spawnPoints = GameObject.FindGameObjectsWithTag(spawnpointTag);
        // Sets timer to interval
	    timer = spawnInterval;
	}

    // Called once every frame
    void Update ()
    {
        // subtract 1 from timer every second
        timer -= Time.deltaTime;
        // if timer reached 0
        if (timer <= 0)
        {
            // Spawn object at random spawnpoint
            Instantiate(prefabToSpawn, spawnPoints[ Random.Range(0, spawnPoints.Length) ].transform.position , Quaternion.identity );
            // reset timer
            timer = spawnInterval;
        }
	}
}
