﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TankScript : MonoBehaviour
{
    // variable for force to apply
    public float force;
    // variable for speed at which to rotate tank
    public float rotationSpeed;

    // reference to rigidbody
    Rigidbody rb;

	// Called 1st frame
	void Start ()
    {
        // Get the rigidbody on this gameobject
        rb = GetComponent<Rigidbody>();
	}
	
	// Called every frame
	void FixedUpdate ()
    {
        if (transform.position.y < -100)
        {
            GameObject.Find("Canvas").GetComponent<ScoreScript>().GameOver();
        }

        // if up arrow is pressed
        if (Input.GetKey(KeyCode.UpArrow))
        {
            // Add force forwards
            rb.AddForce(transform.forward * force * Time.fixedDeltaTime);
        }
        // if up arrow is pressed
        if (Input.GetKey(KeyCode.DownArrow))
        {
            // Add force backwards (1000 a second)
            rb.AddForce(-transform.forward * force * Time.fixedDeltaTime);
        }
        // if right arrow is pressed
        if (Input.GetKey(KeyCode.RightArrow))
        {
            // rotate with speed of rotationSpeed pr sec
            transform.Rotate(new Vector3(0, rotationSpeed * Time.fixedDeltaTime, 0));
        }
        // if left arrow is pressed
        if (Input.GetKey(KeyCode.LeftArrow))
        {
            // rotate to the other side
            transform.Rotate(new Vector3(0, -rotationSpeed * Time.fixedDeltaTime, 0));
        }
    }
}
